Bug 8612 - unsupport disk usage
: unsupport disk usage
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/zabbix-agent)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-12-08 22:44 by
Modified: 2008-02-15 22:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-12-08 22:44:13
Агент сейчас не определяет disktotal и diskused.
Кроме того, не работают команды vfs.fs.*
------- Comment #1 From 2005-12-12 13:08:36 -------
У вас на машине с zabbix ядро 2.4 или 2.6? На 2.6 у меня не воспроизводтся,
тестировать на 2.4 нет возможности... Попробуйте добавить пользователя zabbix в
группу proc.
------- Comment #2 From 2005-12-12 13:40:32 -------
Кстати, в beta3 поменяли схему именования item-ов. disktotal и diskused больше
нет, остаются vfs.fs.size[mountpoint,mode]. В beta4 веб-интерфейс вроде как не
совсем актуален, обещают доделать к beta5 (ожидается в течении декабря). Так же
в beta4 не совсем актуальные шаблоны ("add items from template" добваляет
старые
имена параметров).

В общем, beta4 отправляется в дедал, beta5 видимо пойдёт в сизиф.
------- Comment #3 From 2005-12-12 14:02:48 -------
(In reply to comment #2)
> Кстати, в beta3 поменяли схему именования item-ов. disktotal и diskused больше
> нет, остаются vfs.fs.size[mountpoint,mode]. В beta4 веб-интерфейс вроде как не
У меня 2.4 ядро... это много серверов которые все еще живут на Master2.4
переводить их на 2.6 пока рано.
Новые команды я попробовал - они не работают, а старые работают но только
частично. Т.е. diskfree работает а вот disktotal уже нет.
Добавление zabbix в группу proc ничего не изменило. Тем не менее, это стоит
сделать по дефолту "из коробки".
------- Comment #4 From 2005-12-12 15:12:01 -------
> Новые команды я попробовал - они не работают, а старые работают но только
> частично. Т.е. diskfree работает а вот disktotal уже нет.

Рекомендую дождаться beta5. Вообще, можно ещё поиграться с параметром "Use
multiplier" в конфигурации item-а. А как вообще ругается на disktotal в
configuration -> items -> Status? Показывается ли какое-нибудь значение в
Monitoring -> Latest data?

> Добавление zabbix в группу proc ничего не изменило. Тем не менее, это стоит
> сделать по дефолту "из коробки".

Будет сделано.
------- Comment #5 From 2005-12-12 15:18:15 -------
(In reply to comment #4)
> > Новые команды я попробовал - они не работают, а старые работают но только
> > частично. Т.е. diskfree работает а вот disktotal уже нет.
> 
> Рекомендую дождаться beta5. Вообще, можно ещё поиграться с параметром "Use
> multiplier" в конфигурации item-а. А как вообще ругается на disktotal в
> configuration -> items -> Status? Показывается ли какое-нибудь значение в
> Monitoring -> Latest data?

Сори, не сказал сразу. Ругани нет, но стабильно выдается нулевое значение.
А вот на vfs.fs выдает что не поддерживается агентом.
------- Comment #6 From 2005-12-12 15:35:41 -------
> > Вообще, можно ещё поиграться с параметром "Use
> > multiplier" в конфигурации item-а. А как вообще ругается на disktotal в
> > configuration -> items -> Status? Показывается ли какое-нибудь значение в
> > Monitoring -> Latest data?
> 
> Сори, не сказал сразу. Ругани нет, но стабильно выдается нулевое значение.

Гм. Попробуйте изменить значение "Custom multiplier" с 0 например на 1024,
должно помочь.

> А вот на vfs.fs выдает что не поддерживается агентом.

В beta4 работает. Вечером проверю дома на beta2.
------- Comment #7 From 2005-12-12 16:24:08 -------
(In reply to comment #6)
> > > Вообще, можно ещё поиграться с параметром "Use
> > > multiplier" в конфигурации item-а. А как вообще ругается на disktotal в
> > > configuration -> items -> Status? Показывается ли какое-нибудь значение в
> > > Monitoring -> Latest data?
> > 
> > Сори, не сказал сразу. Ругани нет, но стабильно выдается нулевое значение.
> 
> Гм. Попробуйте изменить значение "Custom multiplier" с 0 например на 1024,
> должно помочь.

Хмм... помогло. Интересно почему? :)

> 
> > А вот на vfs.fs выдает что не поддерживается агентом.
> 
> В beta4 работает. Вечером проверю дома на beta2.

------- Comment #8 From 2005-12-12 16:41:34 -------
> > Гм. Попробуйте изменить значение "Custom multiplier" с 0 например на 1024,
> > должно помочь.
> 
> Хмм... помогло. Интересно почему? :)

Был такой косяк в alpha6. Странно, что оно до beta2 дотянуло :)
------- Comment #9 From 2005-12-22 10:30:09 -------
Ну ладно, в связи с тем, что в следующих бетах всё переделано, фиксить бету-2
смысла не вижу.
------- Comment #10 From 2006-04-26 13:11:35 -------
В общем, сейчас это в виде

vfs.fs.size[fs <,mode>]

The mode is optional.
If mode is missing 'total' is used.
In case of mounted volume, unused disk space for local file system is returned.
Example: vfs.fs.size[/tmp,free].
old naming: "vfs.fs.free[*]", "vfs.fs.total[*]", "vfs.fs.used[*]",
"vfs.fs.pfree[*]", "vfs.fs.pused[*]"

Закрываем.
------- Comment #11 From 2008-02-15 22:07:52 -------
re
------- Comment #12 From 2008-02-15 22:08:18 -------
Раз работает - значит FIXED.